import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/cards/card_deposits/recup_card_deposits.dart';

import 'package:recup_app_storybook/theme/colors.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class StoryRecupDeposit extends Story {
  StoryRecupDeposit()
      : super(
          name: 'Card/RecupCardDeposits',
          builder: (context) {
            return SizedBox(
              height: double.infinity,
              width: double.infinity,
              child: Center(
                child: RecupCardDeposits(
                  avatarBackgroundColor: RecupColor.primary,
                  foto: context.knobs.text(
                    label: 'foto',
                    initial: '',
                  ),
                  titulo: context.knobs.text(
                    label: 'titulo',
                    initial: 'Compatible Nespresso orginal ',
                  ),
                  subtitulo: context.knobs.text(
                    label: 'subtitulo',
                    initial: 'Nespresso',
                  ),
                  quantityValue: 1,

                  recoinsValue: 300,
                  // recoinsValue: 200,
                ),
              ),
            );
          },
        );
}

/* RecupCardDeposits(height: 180, width: 128, descriptionText: descriptionText), */