import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/data_display/list_tile/list_tile.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class StoryRecupListTile extends Story {
  StoryRecupListTile()
      : super(
          name: 'DataDisplay/ListTile',
          builder: (context) {
            return RecupListTile(
              title: context.knobs.text(
                label: 'title',
                initial: 'Informations personnelles',
              ),
              divider: context.knobs.boolean(
                label: 'divider',
                initial: true,
                description: 'Deixa uma borda no inferior',
              ),
              leading: context.knobs.boolean(
                label: 'leading',
                initial: true,
                description: 'Deixa uma borda no inferior',
              )
                  ? Icons.person
                  : null,
              trailing: context.knobs.boolean(
                label: 'leading',
                initial: true,
                description: 'Deixa uma borda no inferior',
              )
                  ? Icons.arrow_right
                  : null,
            );
          },
        );
}
