import 'package:recup_app_storybook/stories/buttons/FilterButton/filter_button.dart';
import 'package:storybook_flutter/storybook_flutter.dart';

class StoryRecupFilterButton extends Story {
  StoryRecupFilterButton()
      : super(
          name: 'Buttons/FilterButton',
          builder: (context) {
            return RecupFilterButton(
              text: context.knobs.text(
                label: 'Text',
                initial: 'Value',
                description: 'Texto do botão',
              ),
              isSelect: context.knobs.boolean(
                label: 'isSelect',
                initial: false,
                description: 'Define se está selecionado ou nao',
              )
                  ? true
                  : false,
            );
          },
        );
}
