import 'package:flutter/material.dart';
import 'package:recup_app_storybook/stories/buttons/OutlinedButton/elevated_button.dart';

import 'package:storybook_flutter/storybook_flutter.dart';

class StoryOutlinedButton extends Story {
  final theme = ValueNotifier(ThemeMode.system);
  StoryOutlinedButton()
      : super(
          name: 'Buttons/OutlinedButton',
          builder: (context) {
            return Container(
              alignment: Alignment.center,
              padding: const EdgeInsets.all(10),
              child: RecupOutlinedButton(
                radiusCircular: context.knobs.boolean(
                  label: 'radiusCircular',
                  initial: false,
                  description: 'Define se o botão vai ser quadrado ou circular',
                )
                    ? true
                    : false,
                onPressed: () {},
                child: Text(
                  context.knobs.text(
                    label: 'Text',
                    initial: 'Value',
                    description: 'Texto do botão',
                  ),
                ),
              ),
            );
          },
        );
}
