import 'package:flutter/material.dart';

class RecupColor {
  static const greyAccent = Color(0xFF979797);
  static const grey = Color(0xFFC4C4C4);
  static const whiteAccent = Color(0xFFF4F1EA);
  static const white = Color(0xFFFFFFFF);
  static const primary = Color(0xFF40CE79);
  static const green = Color(0xFF009140);
  static const yellow = Color(0xFFF7D64B);
  static const orange = Color(0xFFFF734A);
  static const cerise = Color(0xFFF63E57);
  static const deepPurple = Color(0xFF6D458C);
  static const blue = Color(0xFF0CA1C1);

  static const MaterialColor primaryColorPallet = MaterialColor(
    _primaryValue,
    {
      50: Color(0xFFE8F9EF),
      100: Color(0xFFC6F0D7),
      200: Color(0xFFA0E7BC),
      300: Color(0xFF79DDA1),
      400: Color(0xFF5DD58D),
      500: Color(0xFF40CE79),
      600: Color(0xFF3AC971),
      700: Color(0xFF32C266),
      800: Color(0xFF2ABC5C),
      900: Color(0xFF1CB049),
    },
  );

  static const int _primaryValue = 0x5DD58D;

  static const MaterialColor black = MaterialColor(
    _backValue,
    {
      50: Color(0xFFE5E5E5),
      100: Color(0xFFBEBEBE),
      200: Color(0xFF929292),
      300: Color(0xFF666666),
      400: Color(0xFF464646),
      500: Color(0xFF252525),
      600: Color(0xFF212121),
      700: Color(0xFF1E1E1E),
      800: Color(0xFF161616),
      900: Color(0xFF181818),
    },
  );

  static const int _backValue = 0x252525;
}
